import React,{ Component } from 'react'
import { View, Text, Navigator, TouchableOpacity } from 'react-native'
import defaultTheme from './Theme'
import Icon from 'react-native-vector-icons/FontAwesome'

class NavigatorSelect extends Component {
  constructor(props) {
    super(props)

    this.state = {
      value: props.defaultValue
    }
  }

  componentWillReceiveProps(nextProps) {

    this.setState({
      value: nextProps.defaultValue
    })
  }

  render() {
    const {
      childIndex
    } = this.props;

    let wrapStyle = {
      borderTopWidth:0,
      borderColor:'#CCC'
    }
    if(childIndex != 0) {
      wrapStyle = {
        borderTopWidth:1,
        borderColor:'#CCC'
      }
    }
    
    return (
      <View style={wrapStyle}>
        <TouchableOpacity
          onPress={this.props.onSelected}
        >
          <View
            style={[this.props.theme.BaseItem]}
          >
            <View style={this.props.theme.BaseItem_Left}>
              <Text style={this.props.theme.Label}>{this.props.label}</Text>
            </View>

              <View style={this.props.theme.BaseItem_Right}>
                <Text>{this.state.value}</Text>
                <Icon name="chevron-right" size={16} color="#CCC" />
              </View>
          </View>
        </TouchableOpacity>
      </View>
    )
  }
}

NavigatorSelect.PropTypes = {
  defaultValue:React.PropTypes.oneOf([
    React.PropTypes.string,
    React.PropTypes.number
  ]),
  childIndex: React.PropTypes.number
}

NavigatorSelect.defaultProps = {
  componentName: 'NavigatorSelect',
  theme: defaultTheme,
  childIndex:0,
  onSelected:() => {}
}

export default NavigatorSelect
