import React, { Component } from 'react'
import { Switch as BaseSwitch, View, Text } from 'react-native'
import defaultTheme from './Theme'

class Switch extends Component {
  constructor(props) {
    super(props)

    this.state = {
      value: this.props.defaultValue
    }
    this.onValueChange = this.onValueChange.bind(this)
  }
  onValueChange(newValue) {

    this.setState({
      value:newValue
    },() => {

      this.props.onValueChange(newValue)
    })
  }
  render() {
    const { childIndex } = this.props
    
    let wrapStyle = {
      borderTopWidth:0,
      borderColor:'#CCC'
    }
    if(childIndex != 0) {
      wrapStyle = {
        borderTopWidth:1,
        borderColor:'#CCC'
      }
    }

    return (
      <View
        style={[this.props.theme.BaseItem,wrapStyle]}
      >
        <View style={this.props.theme.BaseItem_Left}>
          <Text style={this.props.theme.Label}>{this.props.label}</Text>
        </View>
        <View style={this.props.theme.BaseItem_Right}>
          <BaseSwitch onValueChange={this.onValueChange} value={this.state.value}/>
        </View>
      </View>
    )
  }
}

Switch.PropTypes = {
  childIndex: React.PropTypes.number
}

Switch.defaultProps = {
  componentName:'Switch',
  theme:defaultTheme,
  defaultValue:false,
  onValueChange:() => {},
  childIndex:0
}

export default Switch
